﻿using System.Collections.Generic;
using System.Threading.Tasks;

namespace Robware.Blog {
	public interface IBlogRepository {
		Task<BlogPost> GetPostByUrlAsync(string url);
		Task<IEnumerable<BlogPost>> GetLatestPostsAsync(int limit, int offset = 0);
		Task<BlogPost> GetLatestPostAsync();
		Task<int> GetCountAsync();
		Task<BlogPost> GetPostByIdAsync(int id);
		Task<BlogPost> SavePost(BlogPost post);
		Task<IEnumerable<BlogPost>> GetAllPostsAsync();
		Task DeletePostAsync(int id);
	}
}
